/*@custom-media --sm (min-width: 576px);
@custom-media --md (min-width: 768px);
@custom-media --lg (min-width: 992px);
@custom-media --xl (min-width: 1200px);

@custom-media --burgermenu (min-width: 1200px);
@custom-media --desktopmenu (min-width: 1200px);*/

.main .html svg {
  max-width: 100%;
  height: auto;
}

.main h1 {
  font-weight: var(--weightbold);
  line-height: 1.125em;
  font-size: 1.625rem;
  text-transform: none;
}

@media (min-width: 1200px) {
  .main h1 {
    font-size: 2.5rem;
  }
}

.main h2 {
  font-weight: var(--weightbold);
  line-height: 1.125em;
  font-size: 1.625rem;
  text-transform: none;
}

@media (min-width: 1200px) {
  .main h2 {
    font-size: 2.5rem;
  }
}

.main h3 {
  font-weight: var(--weightbold);
  line-height: 1.125em;
  font-size: 1.375rem;
  text-transform: none;
}

@media (min-width: 1200px) {
  .main h3 {
    font-size: 1.625rem;
  }
}

[class*='page-template-casestudy'] .main .container {
  max-width: 1400px;
}

.main .container.container--slim {
  padding-left: var(--slimoffset);
  padding-right: var(--slimoffset);
}

.ccm-edit-mode .main .container-fluid {
  border: 1px dashed lightcoral;
/*  background-color: rgba(255,0,0,.025);*/
  padding: 1rem;
}

.ccm-edit-mode .main .container {
  border: 1px dashed lightskyblue;
  background-color: rgba(0,0,255,.05);
  padding-top: 1rem;
  padding-bottom: 1rem;
  margin-bottom: 1rem;
  margin-top: 1rem;
}

.ccm-edit-mode .main .content {
  border: 1px dashed lightcyan;
  background-color: rgba(0,255,0,.05);
  padding-top: 1rem;
  padding-bottom: 1rem;
  margin-bottom: 1rem;
  margin-top: 1rem;
}

@media (max-width: 991px) {
  .spalten-mobil-invertiert [class*="col-lg"]:first-child {
    order: 2;
  }
}

@media (max-width: 767px) {
  .spalten-mobil-invertiert [class*="col-md"]:first-child {
    order: 2;
  }
}

.spalten-ohne-abstand [class*="col-"] {
  padding: 0;
}

.page-type-blog-post .col-12.col-lg-5,
.page-template-casestudy-single .col-12.col-lg-5 {
  max-width: 435px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}

.page-type-blog-post .col-12.col-lg-5:first-child,
.page-template-casestudy-single .col-12.col-lg-5:first-child {
  margin-left: auto;
}

.page-type-blog-post .col-12.col-lg-5:last-child,
.page-template-casestudy-single .col-12.col-lg-5:last-child {
  margin-right: auto;
}

.page-type-blog-post .container .col-12.col-lg-5,
.page-template-casestudy-single .container .col-12.col-lg-5 {
  max-width: none;
  display: block;
}

@media (max-width: 991px) {
  .main > .row,
  .main > .ccm-custom-style-container > .row {
    margin-left: 0;
    margin-right: 0;
  }

  .page-type-blog-post .col-12.col-lg-5,
  .page-template-casestudy-single .col-12.col-lg-5 {
    margin-left: 0!important;
    margin-right: 0!important;
    padding: 15px;
    max-width: none;
    display: block;
  }
}

/* Animate fade in on scroll */

html:not(.ccm-edit-mode) .js-show-on-scroll {
    opacity: 0;
    transform: translateY(80px);
}

html:not(.ccm-edit-mode) .js-show-on-scroll.is-animation-ready {
    transition: opacity .6s, transform .6s;
}

html:not(.ccm-edit-mode) [class*='col-'].js-show-on-scroll + [class*='col-'].js-show-on-scroll {
  transition-delay: .25s;
}

html:not(.ccm-edit-mode) [class*='col-'].js-show-on-scroll + [class*='col-'].js-show-on-scroll + [class*='col-'].js-show-on-scroll {
  transition-delay: .5s;
}

html:not(.ccm-edit-mode) .js-show-on-scroll.is-visible {
    opacity: 1;
    transform: translateY(0);
}


